package org.bkt.omfl;

import net.fabricmc.api.ModInitializer;

import org.bkt.omfl.blocks.OmflBlocks;
import org.bkt.omfl.items.OmflItemGroups;
import org.bkt.omfl.items.OmflItems;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class OhMyFarmland implements ModInitializer {
	public static final String MOD_ID = "oh-my-farmland";

	// This logger is used to write text to the console and the log file.
	// It is considered best practice to use your mod id as the logger's name.
	// That way, it's clear which mod wrote info, warnings, and errors.
	public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	@Override
	public void onInitialize() {
		// This code runs as soon as Minecraft is in a mod-load-ready state.
		// However, some things (like resources) may still be uninitialized.
		// Proceed with mild caution.

		LOGGER.info("Hello Fabric world!");

		OmflBlocks.initialize();
		OmflItems.initialize();
		OmflItemGroups.initialize();
	}
}